# Tomcat
server:
  port: 9210

# Spring
spring:
  main:
    allow-circular-references: true
  application:
    # 应用名称
    name: hxhq-integration
  profiles:
    # 环境配置
    active: prod
  cloud:
    nacos:
      username: nacos
      password: nacosHxhq
      discovery:
        # 服务注册地址
        server-addr: 127.0.0.1:8848
      config:
        # 配置中心地址
        server-addr: 127.0.0.1:8848
        # 配置文件格式
        file-extension: yml
#        # 共享配置
#        shared-configs:
#          - application- $ {spring.profiles.active}. $ {spring.cloud.nacos.config.file-extension}
#          - hxhq-integration- $ {spring.profiles.active}. $ {spring.cloud.nacos.config.file-extension}
# token配置
token:
  # 是否允许账户多终端同时登录（true允许 false不允许）
  soloLogin: false

logging:
  level:
    com.alibaba.cloud.nacos: DEBUG



# AD域控配置（核心）
hxhq:
  ad:
    # AD服务器地址（IP/域名）
    server-host: 172.21.10.1
    # LDAP端口（389=非SSL，636=SSL）
    server-port: 389
    # 基础DN（域根）
    base-dn: DC=glpcd,DC=com
    # 是否启用SSL（ldaps协议）
    use-ssl: false
    # 连接超时时间（毫秒）
    connect-timeout: 5000
    # 只读账号配置（查询账号是否存在用）
    read-only:
      username: adcon # 只读账号（纯用户名）
      password: JYL@it323 # 只读账号密码